# Varbase Bootstrap Paragraphs

A suite of Paragraph bundles to be used for [Varbase](https://www.drupal.org/project/varbase) distribution.

Made with the Bootstrap framework, based on a fork of Bootstrap Paragraph module [Bootstrap paragraphs](https://www.drupal.org/project/bootstrap_paragraphs)

Using [paragraphs](https://www.drupal.org/project/paragraphs), you can add text with a WYSIWYG-editor, pictures, complex layouts to your pages – and change the order by dragging and dropping the content wherever you like it. Thanks to a preview mode, you get a good idea of how your page will look like in the end. It handles responsive layouts in a seamless way.

## Varbase Bootstrap Paragraphs Module

{% hint style="info" %}
Varbase Bootstrap paragraphs features are bundled through the **Varbase Bootstrap Paragraphs** module.\
GitHub: <https://github.com/Vardot/varbase_bootstrap_paragraphs>\
Drupal.org: <https://www.drupal.org/project/varbase_bootstrap_paragraphs>

After building a project using the `varbase-project` template, you can see the code of the **Varbase Bootstrap Paragraphs** module in:
{% endhint %}

```
project_directory
|-- docroot
    |-- modules
        |-- contrib
            |-- varbase_bootstrap_paragraphs
```

Brings in the following core and contributed modules to your site:

| Module                                                                                      | Purpose                                                                                                                                      |
| ------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><strong>Text</strong></p><p><em>(in Drupal core)</em></p>                                | Defines simple text field types.                                                                                                             |
| <p><strong>Options</strong></p><p><em>(in Drupal core)</em></p>                             | Defines selection, check box and radio button widgets for text and numeric fields.                                                           |
| <p><strong>Link</strong></p><p><em>(in Drupal core)</em></p>                                | Provides a simple link field type.                                                                                                           |
| <p><strong>CKEditor</strong></p><p><em>(in Drupal core)</em></p>                            | WYSIWYG editing for rich text fields using CKEditor.                                                                                         |
| <p><strong>Block</strong></p><p><em>(in Drupal core)</em></p>                               | Controls the visual building blocks a page is constructed with. Blocks are boxes of content rendered into an area, or region, of a web page. |
| [**Advanced Text Formatter**](https://www.drupal.org/project/advanced_text_formatter)       | Provides an additional formatter for text field, text area and text format.                                                                  |
| [**Field Group**](https://www.drupal.org/project/field_group)                               | Provides the ability to group your fields on both form and display.                                                                          |
| [**Maxlength**](https://www.drupal.org/project/maxlength)                                   | Limit the number of characters in textfields and textareas and shows the amount of characters left.                                          |
| [**Webform**](https://www.drupal.org/project/webform)                                       | Enables the creation of webforms and questionnaires.                                                                                         |
| [**Views Reference Field**](https://www.drupal.org/project/viewsreference)                  | Defines the viewsreference field type to embed views in an entity reference field.                                                           |
| [**Entity Reference Revisions**](https://www.drupal.org/project/entity_reference_revisions) | Adds a Entity Reference field type with revision support.                                                                                    |
| [**Paragraphs**](https://www.drupal.org/project/paragraphs)                                 | Enables the creation of paragraphs entities.                                                                                                 |
| [**Paragraphs Library**](https://www.drupal.org/project/paragraphs)                         | Provides a library for reusing paragraphs.                                                                                                   |
| [**Paragraphs Previewer**](https://www.drupal.org/project/paragraphs_previewer)             | Provides a rendered preview of a paragraphs item while on an entity form.                                                                    |
| [**Paragraphs Edit**](https://www.drupal.org/project/paragraphs_edit)                       | Allows users to edit paragraphs.                                                                                                             |

## Required Varbase Modules

This module needs the following Varbase modules in order to function.

### Varbase Media Module

Manages type of media contents and entity browsers in the site.

{% content-ref url="/pages/-MePkGsRz2V-jUTLLtNF" %}
[Varbase Media](/10.1.x/developers/understanding-varbase/core-components/varbase-media.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.varbase.vardot.com/10.1.x/developers/understanding-varbase/optional-components/varbase-bootstrap-paragraphs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
